# Generated by Django 2.1.5 on 2020-07-13 12:56

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='address',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=1050)),
                ('address1', models.CharField(max_length=1024, verbose_name='Address line 1')),
                ('address2', models.CharField(max_length=1024, verbose_name='Address line 2')),
                ('pincode', models.CharField(max_length=12, verbose_name='pin / Postal code')),
                ('city', models.CharField(max_length=124, verbose_name='City')),
                ('state', models.CharField(max_length=35, verbose_name='sate')),
            ],
            options={
                'verbose_name_plural': 'address',
            },
        ),
        migrations.CreateModel(
            name='customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('contact_number', models.CharField(max_length=15)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.address')),
            ],
        ),
        migrations.CreateModel(
            name='dealer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=500)),
                ('contact_number', models.CharField(max_length=14)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.address')),
            ],
        ),
        migrations.CreateModel(
            name='delivery_agent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('agent_name', models.CharField(max_length=150)),
                ('contact_number', models.CharField(max_length=15)),
                ('agent_address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.address')),
            ],
            options={
                'verbose_name_plural': 'Delivery Agent',
            },
        ),
        migrations.CreateModel(
            name='expense',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('expense_category', models.CharField(choices=[('fuel', 'fuel'), ('shipping', 'shipping')], default='shipping', max_length=8)),
                ('amount', models.CharField(max_length=5000)),
                ('date', models.DateField()),
                ('paid_on', models.DateField(blank=True)),
                ('agent_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.delivery_agent')),
            ],
        ),
        migrations.CreateModel(
            name='order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.CharField(max_length=5000)),
                ('unit', models.CharField(choices=[('P1', '250 g'), ('P2', '500 g'), ('P3', '750 g'), ('P4', '1 KG'), ('P5', '2 KG')], default='P5', max_length=3)),
                ('amount', models.CharField(max_length=150)),
                ('order_date', models.DateField()),
                ('supplied_date', models.DateField()),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.customer')),
            ],
        ),
        migrations.CreateModel(
            name='payment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payment_type', models.CharField(choices=[('cash', 'cash'), ('cheque', 'cheque'), ('card', 'card'), ('UPI', 'UPI'), ('online', 'online')], default='cash', max_length=10)),
                ('date', models.DateField()),
                ('amount_paid', models.CharField(max_length=150)),
                ('status', models.CharField(choices=[('UPI', 'Success'), ('ONL', 'pending')], default='ONL', max_length=3)),
                ('pending_amount', models.CharField(blank=True, max_length=500)),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.customer')),
            ],
        ),
        migrations.CreateModel(
            name='product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_name', models.CharField(max_length=5000)),
                ('price', models.CharField(max_length=15)),
                ('unit', models.CharField(max_length=5000)),
            ],
        ),
        migrations.AddField(
            model_name='order',
            name='product',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Retail_Management.product'),
        ),
    ]
